package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

@Deprecated
@Table("hmc_partition_processor")
public class HmcPartitionProcessor extends GenericEntity {
	@PK(value = PKStrategy.AUTO)
	private Long id; // ID
	@Column("partition_id")
	private Long partitionId;
	@Column("sharing_mode")
	private String sharingMode;
	@Column("max_units")
	private String maxUnits;
	@Column("min_units")
	private String minUnits;
	@Column("curr_units")
	private String currUnits;
	@Column("pool_id")
	private String poolId;
	@Column("pool_name")
	private String poolName;
	@Column("max_virtual_processors")
	private String maxVirtualProcessors;
	@Column("min_virtual_processors")
	private String minVirtualProcessors;
	@Column("curr_virtual_processors")
	private String currVirtualProcessors;
	@Column("curr_processors")
	private String currProcessors;
	@Column("max_processors")
	private String maxProcessors;
	@Column("min_processors")
	private String minProcessors;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getPartitionId() {
		return partitionId;
	}

	public void setPartitionId(Long partitionId) {
		this.partitionId = partitionId;
	}

	public String getSharingMode() {
		return sharingMode;
	}

	public void setSharingMode(String sharingMode) {
		this.sharingMode = sharingMode;
	}

	public String getMaxUnits() {
		return maxUnits;
	}

	public void setMaxUnits(String maxUnits) {
		this.maxUnits = maxUnits;
	}

	public String getMinUnits() {
		return minUnits;
	}

	public void setMinUnits(String minUnits) {
		this.minUnits = minUnits;
	}

	public String getCurrUnits() {
		return currUnits;
	}

	public void setCurrUnits(String currUnits) {
		this.currUnits = currUnits;
	}

	public String getPoolId() {
		return poolId;
	}

	public void setPoolId(String poolId) {
		this.poolId = poolId;
	}

	public String getMaxVirtualProcessors() {
		return maxVirtualProcessors;
	}

	public void setMaxVirtualProcessors(String maxVirtualProcessors) {
		this.maxVirtualProcessors = maxVirtualProcessors;
	}

	public String getMinVirtualProcessors() {
		return minVirtualProcessors;
	}

	public void setMinVirtualProcessors(String minVirtualProcessors) {
		this.minVirtualProcessors = minVirtualProcessors;
	}

	public String getCurrVirtualProcessors() {
		return currVirtualProcessors;
	}

	public void setCurrVirtualProcessors(String currVirtualProcessors) {
		this.currVirtualProcessors = currVirtualProcessors;
	}

	public String getCurrProcessors() {
		return currProcessors;
	}

	public void setCurrProcessors(String currProcessors) {
		this.currProcessors = currProcessors;
	}

	public String getMaxProcessors() {
		return maxProcessors;
	}

	public void setMaxProcessors(String maxProcessors) {
		this.maxProcessors = maxProcessors;
	}

	public String getMinProcessors() {
		return minProcessors;
	}

	public void setMinProcessors(String minProcessors) {
		this.minProcessors = minProcessors;
	}

	public String getPoolName() {
		return poolName;
	}

	public void setPoolName(String poolName) {
		this.poolName = poolName;
	}
}
